# Uses of Class
org.springframework.jmx.export.NotificationListenerBean

Packages that use NotificationListenerBean
Package
Description
org.springframework.jmx.export
This package provides declarative creation and registration of Spring-managed beans as JMX MBeans.

## Uses of NotificationListenerBean in org.springframework.jmx.export

Methods in org.springframework.jmx.export with parameters of type NotificationListenerBean
Modifier and Type
Method
Description
`void`
MBeanExporter.`setNotificationListeners(NotificationListenerBean... notificationListeners)`
Set the `NotificationListenerBeans` containing the `NotificationListeners` that will be registered with the `MBeanServer`.